import layout from '@/components/layout';
export default {
  path: '/examQuestionManagement',
  meta: { title: '试题管理' },
  redirect: '/examQuestionManagement/list',
  component: layout,
  children: [
    {
      path: 'questionType',
      name: 'examQuestion-type',
      meta: { title: '试题类型' },
      component: () =>
        import('@/views/examQuestionManagement/examQuestionTypeCondition'),
    },
    {
      path: 'list',
      name: 'examQuestionManagement-list',
      meta: { title: '试题列表' },
      component: () =>
        import('@/views/examQuestionManagement/examQuestionList'),
    },
    {
      path: 'create/singleChoice',
      name: 'examQuestionCreate-singleChoice',
      meta: { title: '单选题' },
      component: () =>
        import('@/views/examQuestionManagement/examQusetionCreateSingle'),
    },
    {
      path: 'create/multipleChoice',
      name: 'examQuestionCreate-multipleChoice',
      meta: { title: '多选题' },
      component: () =>
        import('@/views/examQuestionManagement/examQusetionCreateMultiple'),
    },
    {
      path: 'create/trueOrFalse',
      name: 'examQuestionCreate-trueOrFalse',
      meta: { title: '判断题' },
      component: () =>
        import('@/views/examQuestionManagement/examQusetionCreateTrueOrFalse'),
    },
    {
      path: 'create/gapFilling',
      name: 'examQuestionCreate-gapFilling',
      meta: { title: '填空题' },
      component: () =>
        import('@/views/examQuestionManagement/examQusetionCreateGapFilling'),
    },
    {
      path: 'batchImport',
      name: 'examQuestion-batchImport',
      meta: { title: '批量导入题目' },
      component: () =>
        import('@/views/examQuestionManagement/examQuestionBatchImport'),
    },
  ],
};
